Bug 73274 - Galeon makes a mess of multiple embeded stylesheets (CSS)
Galeon makes a mess of multiple embeded stylesheets (CSS)
Status: CLOSED CANTFIX
Product: Red Hat Raw Hide
Classification: Retired
Component: galeon (Show other bugs)
1.0
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-02 04:21 EDT by Nicolas Mailhot
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 15:42:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Testcase (2.95 KB, text/html)
2002-09-02 06:44 EDT, Nicolas Mailhot
no flags Details

  None (edit)
Description Nicolas Mailhot 2002-09-02 04:21:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020809

Description of problem:
When I try to vizualize an html file containing several (2) embeded CSS in
mozilla, all is fine ; they appear in the CSS list and I can switch between them.

On the same system, viewing the same document in galeon produces an unholy mess
: only the title of the latest CSS appear in galeon's stylesheet list, and the
page is rendered using some kind of blended CSS (beleave me, the mixing of two
color schemes can be *very* ugly)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. get an html containing two embeded CSS, one defining h1 background and the
other body background
2. check it in mozilla, both CSS should appear in the CSS menu, one changing h1
background and the other body background
3. open the file in galeon 
	

Actual Results:  The stylesheet menu only contains the latest embeded CSS,
rendering is a mix of both (i.e. you might see the two colors at once)

Expected Results:  Galeon should have the same correct behaviour as mozilla

Additional info:

Test file available on demand, though the CSS are quite complex and this should
be reproducable with very simple examples
Comment 1 Nicolas Mailhot 2002-09-02 04:23:52 EDT
Opened as gnome bug http://bugzilla.gnome.org/show_bug.cgi?id=92306

galeon-1.2.5-6 ; mozilla-1.0.1-24
Comment 2 Nicolas Mailhot 2002-09-02 06:44:38 EDT
Created attachment 74486 [details]
Testcase
Comment 3 Bill Nottingham 2006-08-07 22:05:49 EDT
'Red Hat Raw Hide' refers to the development tree for Red Hat Linux.
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues were not resolved in a more
timely manner. However, we do want to make sure that important 
don't slip through the cracks. If these issues are still present
in a current release, such as Fedora Core 5, please move these
bugs to that product and version. Note that any remaining Red Hat
Raw Hide bugs will be closed as 'CANTFIX' on September 30, 2006.
Thanks again for your help.
Comment 4 Bill Nottingham 2006-10-18 15:42:29 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.